# std::logical_or< Type > Struct Template Reference
[Boolean Operations Classes]

One of the Boolean operations functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::logical_or< Type >:

[legend]
Collaboration diagram for std::logical_or< Type >:

[legend]
List of all members.

## Public Types

typedef Type | first_argument_type
| the type of the first argument
typedef Type | second_argument_type
| the type of the second argument
typedef bool | result_type
| type of the return type

## Detailed Description

### template<class Type>
struct std::logical_or< Type >

One of the Boolean operations functors.

Definition at line 266 of file stl_function.h.

## Member Typedef Documentation

typedef Type std::binary_function< Type , Type , bool >::first_argument_type `[inherited]`

| the type of the first argument Definition at line 116 of file stl_function.h.

typedef bool std::binary_function< Type , Type , bool >::result_type `[inherited]`

| type of the return type Definition at line 120 of file stl_function.h.

typedef Type std::binary_function< Type , Type , bool >::second_argument_type `[inherited]`

| the type of the second argument Definition at line 119 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h